Bug 68689 - UI: Rulers only available in tenths increments
Summary: UI: Rulers only available in tenths increments
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Tomaz Vajngerl
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-29 02:25 UTC by jimbo1qaz
Modified: 2013-09-27 13:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jimbo1qaz 2013-08-29 02:25:49 UTC
Most people using inches subdivide them into halves and quarters, etc. However, Libreoffice has no option for dividing the rulers into eighths. This poor design decision makes Libreoffice unusable for anything other than half-inches and is a major flaw.
I'm not sure if it's the right category.
Operating System: All
Version: unspecified
Comment 1 Tomaz Vajngerl 2013-08-29 11:57:16 UTC
If I understand correctly the minimal unit on the ruler should be 1/8 inch - currently the minimal unit is 1/10 inch. If this is the problem I have already made the adjustments necessary in my local build. The change needed is small so I guess there should not be any problem to bring the change to the next 4.1 and 4.0 release. 

Regarding your poor design remarks you have to understand that most of developers aren't used to use imperial units and don't know the norms there - so this is where we also rely on users to tell us if there is something wrong.
Comment 2 Commit Notification 2013-08-30 17:50:01 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fdd102a6daee854d987926bec1af55a17cfc8aee

fdo#68689 Sub-divide ruler ticks into 1/8 insted of 1/10 for inch



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2013-09-01 09:32:44 UTC
Any reason not to allow 1/16 of an inch? Physical rulers are typically subdivided into 16ths e.g. http://www.mathatube.com/measurement-reading-a-ruler-starderd-unite.html
Comment 4 Tomaz Vajngerl 2013-09-01 10:52:59 UTC
Well, this would require additional changes in ruler as tick divider would need to be 62,5 (125/2) which is not an integer and there is no MAP_10000TH_INCH. I will try to change this in master to 1/16 but for LO 4.1 I will only change it to 1/8 as this is really a simple change.
Comment 5 Commit Notification 2013-09-01 11:59:43 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=943961d67ebc73ed6e87921f8b681bb057e8fd4c&h=libreoffice-4-1

fdo#68689 Sub-divide ruler ticks into 1/8 insted of 1/10 for inch


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 retired 2013-09-01 12:15:58 UTC
So this bug is FIXED?
Comment 7 Tomaz Vajngerl 2013-09-01 14:16:22 UTC
I will still try 1/16 inch subdivider.
Comment 8 Tomaz Vajngerl 2013-09-27 13:50:23 UTC
1/16 is now supported in master.